package com.gh.gamecenter.core.provider

import android.app.Activity
import android.content.Context
import android.os.Bundle


interface IDirectProvider {
    fun directToWebView(context: Context, url: String, entrance: String? = null)

    fun directToRegulationTestPage(context: Context)

    fun directToQqConversation(context: Context, qq: String)

    fun directDouyin(context: Context, userId: String)

    fun directToSuggestionFromDiagnosis(context: Context, content: String, diagnosis: String)

    fun directToQa(context: Context, text: String? = "", id: String)

    fun directToHelpAndFeedback(context: Context, bundle: Bundle? = null)

    fun directToQqGroup(context: Context, groupNumber: String? = null): Boolean

    fun directToHomeActivity(context: Context, userId: String?, entrance: String? = null, path: String? = null)

    fun directToAnswerDetail(context: Context, id: String, entrance: String? = null, path: String? = null)

    fun directToCommunityArticle(
        context: Context,
        articleId: String?,
        communityId: String?,
        entrance: String?,
        path: String?,
        sourceEntrance: String = ""
    )

    fun directToVideoDetail(
        context: Context,
        videoId: String,
        entrance: String? = null,
        path: String? = "",
        sourceEntrance: String = ""
    )

    fun directToAmway(
        context: Context,
        fixedTopAmwayCommentId: String? = null,
        entrance: String? = null,
        path: String? = ""
    )

    fun directToExternalBrowser(context: Context, url: String)

    fun directToQQGameHome(context: Context)

    fun directToQQGameById(activity: Activity, qqAppId: String)

    fun directToWechatGameById(
        activity: Activity,
        wechatAppId: String,
        wechatAppPath: String,
        wechatAppExtData: String
    )
}